#include "sound.h"

Sound::Sound() {
	if (Mix_OpenAudio(44100,MIX_DEFAULT_FORMAT,2,2048)<0)
	    throw Exiter("Could not open audio");
	
	Mix_AllocateChannels(8);
	music = Mix_LoadMUS("data/music/menu.mp3");
	if (!music) throw Exiter("Could not load music");
	
	Mix_FadeInMusic(music, -1, 3000);
	sounds[0] = Mix_LoadWAV("data/sound/spawn.wav");
	sounds[1] = Mix_LoadWAV("data/sound/shoot.wav");
	sounds[2] = Mix_LoadWAV("data/sound/killed.wav");
	sounds[3] = Mix_LoadWAV("data/sound/aim.wav");
	sounds[4] = Mix_LoadWAV("data/sound/eshoot.wav");
	sounds[5] = Mix_LoadWAV("data/sound/expl.wav");
	for (int i=0; i < 6; i++)
		if (!sounds[i]) throw Exiter("Could not load sound fx");
	Mix_VolumeChunk(sounds[2],60);
	Mix_VolumeChunk(sounds[4],40);
	Mix_Volume(-1,60);
	Mix_VolumeMusic(120);
}

void Sound::playsound(int nb) {
    Mix_PlayChannel(nb, sounds[nb], 0);
}
void Sound::playmusic(const char *filename) {
    Mix_FadeOutMusic(500);
    music = Mix_LoadMUS(filename);
    if (!music) throw Exiter("Could not load music");
    Mix_FadeInMusic(music, -1, 1000);
}

void Sound::exit() {
	Mix_FadeOutMusic(1000);
	Mix_FreeMusic(music);
	for (int i=0; i < 6; i++)
		Mix_FreeChunk(sounds[i]);
	Mix_CloseAudio();
}