#include "text.h"


Text::Text() {
	if(TTF_Init()) throw Exiter(TTF_GetError());
	huge=TTF_OpenFont("/usr/share/fonts/truetype/LiberationSans-Regular.ttf",64);
	if (!huge) throw Exiter("Font not found!");
	big=TTF_OpenFont("/usr/share/fonts/truetype/LiberationSans-Regular.ttf",32);
	if (!big) throw Exiter("Font not found!");
	small=TTF_OpenFont("/usr/share/fonts/truetype/LiberationSans-Regular.ttf",18);
	if (!small) throw Exiter("Font not found!");
	tiny=TTF_OpenFont("/usr/share/fonts/truetype/LiberationSans-Regular.ttf",12);
	if (!tiny) throw Exiter("Font not found!");
}

void Text::drawtext(const char * t, SDL_Surface *surf, int x, int y, SDL_Color c, TTF_Font *f) {
    SDL_Surface *text;
    text = TTF_RenderText_Blended(f, t, c);
    SDL_Rect re;
    re.x = x;
    re.y = y;
    re.w = text->w;
    re.h = text->h;
    SDL_BlitSurface(text,NULL,surf,&re);
    SDL_FreeSurface(text);
}
void Text::drawtext_c(const char * t, SDL_Surface *surf, int x, int y, SDL_Color c, TTF_Font *f) {
    SDL_Surface *text;
    text = TTF_RenderText_Blended(f, t, c);
    SDL_Rect re;
    re.x = x - text->w/2;
    re.y = y;
    re.w = text->w;
    re.h = text->h;
    SDL_BlitSurface(text,NULL,surf,&re);
    SDL_FreeSurface(text);
}
void Text::drawtext_cc(const char * t, SDL_Surface *surf, int x, int y, SDL_Color c, TTF_Font *f) {
    SDL_Surface *text;
    text = TTF_RenderText_Blended(f, t, c);
    SDL_Rect re;
    re.x = x - text->w/2;
    re.y = y - text->h/2;
    re.w = text->w;
    re.h = text->h;
    SDL_BlitSurface(text,NULL,surf,&re);
    SDL_FreeSurface(text);
}


